Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class GetBeanMethodMetaProperty

- org.codehaus.groovy.runtime.metaclass.MethodMetaProperty.GetBeanMethodMetaProperty

- Wrapper for a method realizing the property getter. WARNING: This class is for internal use only, don't use it for your APIs

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodMetaProperty.GetBeanMethodMetaProperty (String name, MetaMethod theMethod)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getProperty(Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodMetaProperty` | `getMetaMethod, getProperty, setProperty`
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MethodMetaProperty.GetBeanMethodMetaProperty(String name, MetaMethod theMethod)

  - ### Method Detail

    - #### public Object getProperty(Object object)